> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yiksipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one

> This endpoint retrieves details of a specific beneficiary associated with a wallet.



## OpenAPI

````yaml get /v1/wallets/{walletId}/beneficiaries/{id}
openapi: 3.0.3
info:
  title: Yiksi Pay Documentation
  description: >-
    The OpenAPI specification of the Yiksi Pay API that enables fintechs and
    developers to seamlessly integrate stablecoin deposits and payments into
    their products.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.yiksipay.com
security:
  - apiKey: []
tags:
  - name: Wallet
    description: >-
      Wallet Management System


      Comprehensive wallet management API for multi-blockchain operations. This
      system handles wallet creation, configuration, balance monitoring, and
      integration with various blockchain networks.


      Core Functionality:


      - Multi-blockchain wallet creation and management
          
      - Balance monitoring and asset tracking
          
      - Auto-settlement rule configuration
          
      - Address generation and management
          
      - Transaction monitoring and processing
  - name: Addresses
    description: >-
      Address Management System


      Comprehensive blockchain address management API for operations. This
      system handles address creation, validation, monitoring, and management
      across multiple blockchain networks.  


      Core Functionality:


      - Multi-blockchain address generation
          
      - Address validation and verification
          
      - Balance monitoring and tracking
          
      - Transaction history management
          
      - Address labeling and organization
          
      - Integration with wallet systems
          
      - Real-time address monitoring
  - name: Asset
  - name: Transactions
  - name: Withdraw
    description: >-
      The Withdraw feature allows you to programmatically withdraw stablecoins
      from your master wallet with ease
  - name: Signing
    description: >-
      Typed data signing service for secure transaction authorization. Supports
      all EIP-712 standards including EIP-3009 (TransferWithAuthorization) and
      EIP-2612 (Permit).
  - name: Swap
    description: >-
      The Swap feature enables users to exchange one stabelcoin asset for
      another across different blockchains. This feature provides a seamless way
      to convert between different stablecoins while maintaining security and
      compliance standards.
  - name: Auto Settlements
    description: >-
      Creates a new auto settlement rule for a wallet. Auto settlement
      automatically transfers/swap assets based on configured rules when certain
      conditions are met.


      Rules can be configured for:


      - Source blockchain and assets
          
      - Destination blockchain and asset
          
      - Amount ranges (min/max)
          
      - Slippage tolerance
          
  - name: Smart Contract
    description: >-
      This API provides endpoints for interacting with smart contracts on the
      blockchain. It allows for reading contract data, executing contract
      functions, and estimating network fees.
  - name: Beneficiaries
    description: >-
      This API allows you to create beneficiaries with automatic settlements to
      your external wallets on a periodic basis.


      Example frequencies: INSTANT, DAILY, WEEKLY, MONTHLY, YEARLY
  - name: AML
    description: >-
      The AML (Anti Money Laundering) API provides a quick way for you to check
      if an address is blacklisted or sanctioned
  - name: Asset Recovery
    description: >-
      Enables the recovery (salvage) of both native blockchain assets and tokens
      from a specified sender address to a recipient address. This feature
      supports emergency fund recovery and asset consolidation operations.
  - name: Miscellaneous
    description: >-
      The Miscellaneous API are supporting APIs that can be used to provide more
      details to other APIs.
  - name: Asset1
  - name: Blockchain
  - name: Webhooks
    description: >-
      Webhooks allow you to set up a notification system that can be used to
      receive updates on certain requests made to the Yiksi Pay API.  
        
      To see full list and instructions
      [https://docs.yiksipay.com/essentials/webhooks](https://docs.yiksipay.com/essentials/webhooks)


      ##
  - name: Deposit
  - name: Withdraw1
  - name: Swap1
paths:
  /v1/wallets/{walletId}/beneficiaries/{id}:
    parameters:
      - name: walletId
        in: path
        required: true
        schema:
          type: string
          example: YOUR_WALLET_ID
      - name: id
        in: path
        required: true
        schema:
          type: string
          example: BENEFICIARY_ID
    get:
      tags:
        - Beneficiaries
      summary: Get one
      description: >-
        This endpoint retrieves details of a specific beneficiary associated
        with a wallet.
      operationId: getOne1
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      address:
                        type: string
                        example: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                      createdAt:
                        type: string
                        example: '2025-08-27T22:27:17.071Z'
                      deletedAt:
                        nullable: true
                        example: null
                      id:
                        type: string
                        example: cc7a86eb-28f8-49e0-aa77-eb01bb38ad2b
                      isActive:
                        type: boolean
                        example: true
                      isDefault:
                        type: boolean
                        example: false
                      isSettlement:
                        type: boolean
                        example: true
                      isWhitelisted:
                        type: boolean
                        example: true
                      name:
                        type: string
                        example: Ledger Wallet
                      settlementFrequency:
                        type: string
                        example: DAILY
                      updatedAt:
                        type: string
                        example: '2025-08-27T22:27:17.071Z'
                  message:
                    type: string
                    example: Beneficiary fetched successfully
                  statusCode:
                    type: number
                    example: 200
              examples:
                '200':
                  value:
                    data:
                      address: '0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22'
                      createdAt: '2025-08-27T22:27:17.071Z'
                      deletedAt: null
                      id: cc7a86eb-28f8-49e0-aa77-eb01bb38ad2b
                      isActive: true
                      isDefault: false
                      isSettlement: true
                      isWhitelisted: true
                      name: Ledger Wallet
                      settlementFrequency: DAILY
                      updatedAt: '2025-08-27T22:27:17.071Z'
                    message: Beneficiary fetched successfully
                    statusCode: 200
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````